package com.zswc.creativity.fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.ViewGroup
import com.zswc.creativity.base.MBFragment
import com.zswc.creativity.databinding.FragmentOwnerimgBinding
import com.zswc.creativity.vmodel.OwnerImgVModel

/**
 * 车辆图片
 *Created by shihuiyun
 *on 2020/9/11
 */
class OwnerImgFragment : MBFragment<OwnerImgVModel, FragmentOwnerimgBinding>(){


    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)

        vm.url.value=arguments?.getString("img")
        vm.name.value=arguments?.getString("name")
        vm.weight.value=arguments?.getString("weight")
        vm.volume.value=arguments?.getString("volume")


    }

    override fun vmClass(): Class<OwnerImgVModel> {
        return OwnerImgVModel::class.java
    }

    override fun binding(inflater: LayoutInflater, container: ViewGroup?): FragmentOwnerimgBinding {
       return  FragmentOwnerimgBinding.inflate(layoutInflater)
    }

    override fun title(): String? {
        return null
    }
}
